<?php
define('WP_INSTALLING', true);
//These two defines are required to allow us to use require_wp_db() to load the database class while being wp-content/wp-db.php aware
define('ABSPATH', dirname(dirname(__FILE__)).'/');
define('WPINC', 'wp-includes');

require_once('../wp-includes/compat.php');
require_once('../wp-includes/functions.php');
require_once('../wp-includes/classes.php');

if (!file_exists('../wp-config-sample.php'))
	wp_die('Desculpe, preciso de um ficheiro wp-config-sample.php para trabalhar. Por favor, faça upload de novo da sua instalação do WordPress.');

$configFile = file('../wp-config-sample.php');

if ( !is_writable('../'))
	wp_die("Desculpe, não foi possível escrever na directoria. Tem que mudar as permissões da sua directoria de WordPress ou criar o seu wp-config.php manualmente.");

// Check if wp-config.php has been created
if (file_exists('../wp-config.php'))
	wp_die("<p>O ficheiro 'wp-config.php' já existe. Se desejar reiniciar os parâmetros de configuração existentes neste ficheiro, por favor apague-o primeiro. De seguida pode <a href='install.php'>instalar o WordPress</a>.</p>");

if (isset($_GET['step']))
	$step = $_GET['step'];
else
	$step = 0;

function display_header(){
	header( 'Content-Type: text/html; charset=utf-8' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>WordPress &rsaquo; Setup Configuration File</title>
<link rel="stylesheet" href="<?php echo $admin_dir; ?>css/install.css" type="text/css" />

</head>
<body>
<h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
<?php
}//end function display_header();

switch($step) {
	case 0:
		display_header();
?>

<p>Bem-vindo ao WordPress. Antes de iniciar, necessitamos de algumas informaçõe sobre a base de dados. Terá de saber as seguintes informações antes de prosseguir.</p> 
<ol> 
  <li>Nome da base de dados</li> 
  <li>Nome de utilizador da base de dados</li> 
  <li>Senha da base de dados</li> 
  <li>Servidor de base de dados</li> 
  <li>Prefixo da Tabela (se pretender executar mais do que um WordPress numa única base de dados) </li>
</ol> 
<p><strong>Se, por algum motivo, esta criação automática do ficheiro de configuração falhar, não se preocupe. Tudo o que é necessário é preencher as informações da base de dados num ficheiro de configuração. Poderá abrir o ficheiro <code>wp-config-sample.php</code> num editor de texto, preencher os dados e guardá-lo como  <code>wp-config.php</code>. </strong></p>
<p>Muito provavelmente as informações necessárias foram-lhe fornecidas pelo seu fornecedor de alojamento. Se não souber estas informações, deverá contactar o seu fornecedor de alojamento antes de continuar. Se estiver pronto,</p>

<p><a href="setup-config.php?step=1" class="button">Vamos Avançar!</a></p>
<?php
	break;

	case 1:
		display_header();
	?>
<form method="post" action="setup-config.php?step=2">
	<p>Introduza abaixo os a informação de conexão à base de dados. Se não tiver a certeza, contacte o seu fornecedor de alojamento. </p>
	<table class="form-table">
		<tr>
			<th scope="row">Nome da Base de Dados</th>
			<td><input name="dbname" type="text" size="25" value="wordpress" /></td>
			<td>O nome da base de dados na qual pretende executar o WordPress.</td>
		</tr>
		<tr>
			<th scope="row">Nome de Utilizador</th>
			<td><input name="uname" type="text" size="25" value="username" /></td>
			<td>O seu nome de utilizador da base de dados MySQL</td>
		</tr>
		<tr>
			<th scope="row">Password</th>
			<td><input name="pwd" type="text" size="25" value="password" /></td>
			<td>...e a senha MySQL.</td>
		</tr>
		<tr>
			<th scope="row">Servidor de Base de Dados</th>
			<td><input name="dbhost" type="text" size="25" value="localhost" /></td>
			<td>Muito provavelmente não necessita de alterar este valor.</td>
		</tr>
		<tr>
			<th scope="row">Prefixo da Tabela</th>
			<td><input name="prefix" type="text" id="prefix" value="wp_" size="25" /></td>
			<td>Se pretender instalar vários blogs WordPress numa única base de dados, altere este valor.</td>
		</tr>
	</table>
	<h2 class="step">
	<input name="submit" type="submit" value="Submeter" class="button" />
	</h2>
</form>
<?php
	break;

	case 2:
	$dbname  = trim($_POST['dbname']);
	$uname   = trim($_POST['uname']);
	$passwrd = trim($_POST['pwd']);
	$dbhost  = trim($_POST['dbhost']);
	$prefix  = trim($_POST['prefix']);
	if (empty($prefix)) $prefix = 'wp_';

	// Test the db connection.
	define('DB_NAME', $dbname);
	define('DB_USER', $uname);
	define('DB_PASSWORD', $passwrd);
	define('DB_HOST', $dbhost);

	// We'll fail here if the values are no good.
	require_wp_db();
	if ( !empty($wpdb->error) )
		wp_die($wpdb->error->get_error_message());

	$handle = fopen('../wp-config.php', 'w');

	foreach ($configFile as $line_num => $line) {
		switch (substr($line,0,16)) {
			case "define('DB_NAME'":
				fwrite($handle, str_replace("putyourdbnamehere", $dbname, $line));
				break;
			case "define('DB_USER'":
				fwrite($handle, str_replace("'usernamehere'", "'$uname'", $line));
				break;
			case "define('DB_PASSW":
				fwrite($handle, str_replace("'yourpasswordhere'", "'$passwrd'", $line));
				break;
			case "define('DB_HOST'":
				fwrite($handle, str_replace("localhost", $dbhost, $line));
				break;
			case '$table_prefix  =':
				fwrite($handle, str_replace('wp_', $prefix, $line));
				break;
			default:
				fwrite($handle, $line);
		}
	}
	fclose($handle);
	chmod('../wp-config.php', 0666);

	display_header();
?>
<p>Muito bem! Esta parte da instalação está concluída. O WordPress já consegue comunicar com a base de dados. Se estiver pronto, é altura de&hellip;</p>

<p><a href="install.php">Instalar o WordPress!</a></p> 
<?php
	break;
}
?>
</body>
</html>